From b73c018a584ac4b46284f0a023036bb8cee823aa Mon Sep 17 00:00:00 2001
From: root <root@localhost.localdomain>
Date: Wed, 8 Sep 2021 03:45:59 +0000
Subject: [PATCH 42/54] remove ignore_special_dump option

Remove the useless ignore_special_dump option.

Signed-off-by: Jingxian He <hejingxian@huawei.com>
---
 criu/config.c             | 1 -
 criu/cr-dump.c            | 2 +-
 criu/include/cr_options.h | 1 -
 criu/seize.c              | 6 +++---
 4 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/criu/config.c b/criu/config.c
index 676b424..cdafe17 100644
--- a/criu/config.c
+++ b/criu/config.c
@@ -551,7 +551,6 @@ int parse_options(int argc, char **argv, bool *usage_error,
 		BOOL_OPT("dump-char-dev", &opts.dump_char_dev),
 		BOOL_OPT("mask-exit-notify", &opts.mask_exit_notify),
 		BOOL_OPT("weak-file-check", &opts.weak_file_check),
-		BOOL_OPT("ignore-special-dump", &opts.ignore_special_dump),
 		BOOL_OPT("file-locks-repair", &opts.file_locks_repair),
 		{"reserve-ports", 		required_argument,	0, 'P'	},
 		BOOL_OPT("use-nft", &opts.use_nft),
diff --git a/criu/cr-dump.c b/criu/cr-dump.c
index d54b7a7..2e940d5 100644
--- a/criu/cr-dump.c
+++ b/criu/cr-dump.c
@@ -1806,7 +1806,7 @@ static int cr_dump_finish(int ret)
 	close_service_fd(CR_PROC_FD_OFF);
 	close_image_dir();
 
-	if (ret == 0 && opts.pin_memory && !opts.ignore_special_dump) {
+	if (ret == 0 && opts.pin_memory) {
 		pr_info("start restore_task_special_pages\n");
 		restore_task_special_pages(0);
 	}
diff --git a/criu/include/cr_options.h b/criu/include/cr_options.h
index 62fbbb1..236d1c7 100644
--- a/criu/include/cr_options.h
+++ b/criu/include/cr_options.h
@@ -183,7 +183,6 @@ struct cr_options {
 	int			dump_char_dev;
 	int			mask_exit_notify;
 	int			weak_file_check;
-	int			ignore_special_dump;
 	int			file_locks_repair;
 	char			*share_dst_ports;
 	char			*share_src_ports;
diff --git a/criu/seize.c b/criu/seize.c
index c615971..056454d 100644
--- a/criu/seize.c
+++ b/criu/seize.c
@@ -682,9 +682,9 @@ static void unseize_task_and_threads(const struct pstree_item *item, int st)
 	if (item->pid->state == TASK_DEAD)
 		return;
 
-	if (opts.pin_memory && !opts.ignore_special_dump) {
-        	for (i = 0; i < item->nr_threads; i++)
-                	dump_task_special_pages(item->threads[i].real);
+	if (opts.pin_memory) {
+		for (i = 0; i < item->nr_threads; i++)
+			dump_task_special_pages(item->threads[i].real);
 	}
 	if (opts.mask_exit_notify) {
 		ret = mask_task_exit_notify(item->threads[0].real, true);
-- 
2.33.1

